"""
Django settings for konova project.

Generated by 'django-admin startproject' using Django 3.1.2.

For more information on this file, see
https://docs.djangoproject.com/en/3.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.1/ref/settings/
"""
from django.utils.translation import gettext_lazy as _

# Load other settings
from konova.sub_settings.django_settings import *

# Num of days if user enables Remember-me on login
KEEP_LOGGED_DURATION = 30

# German DateTime string format
STRF_DATE_TIME = "%d.%m.%Y %H:%M:%S"

# Tables
RESULTS_PER_PAGE_PARAM = "rpp"
PAGE_PARAM = "page"
PAGE_SIZE_OPTIONS = [5, 10, 15, 20, 25, 30, 50, 75, 100]
PAGE_SIZE_OPTIONS_TUPLES = [
    (5, 5),
    (10, 10),
    (15, 15),
    (20, 20),
    (25, 25),
    (30, 30),
    (50, 50),
    (75, 75),
    (100, 100),
]
PAGE_SIZE_DEFAULT = 5
PAGE_SIZE_MAX = 100
PAGE_DEFAULT = 1

# SSO settings
SSO_SERVER_BASE = "http://127.0.0.1:8000/"
SSO_SERVER = "{}sso/".format(SSO_SERVER_BASE)
SSO_PRIVATE_KEY = "CHANGE_ME"
SSO_PUBLIC_KEY = "CHANGE_ME"

# MAPS
DEFAULT_LAT = 50.00
DEFAULT_LON = 7.00
DEFAULT_ZOOM = 8.0

# PERMISSION VALUES
## Group default
ADD_INTERVENTION = ("add_intervention", _("Add new intervention"))
EDIT_INTERVENTION = ("edit_intervention", _("Edit intervention"))
DELETE_INTERVENTION = ("delete_intervention", _("Delete intervention"))
ADD_COMPENSATION = ("add_compensation", _("Add new compensation"))
EDIT_COMPENSATION = ("edit_compensation", _("Edit compensation"))
DELETE_COMPENSATION = ("delete_compensation", _("Delete compensation"))
ADD_ECOACCOUNT = ("add_ecoaccount", _("Add new eco account"))
EDIT_ECOACCOUNT = ("edit_ecoaccount", _("Edit eco account"))
DELETE_ECOACCOUNT = ("delete_ecoaccount", _("Delete eco account"))
CREATE_SHARE_LINK = ("create_share_link", _("Create share link"))

## Group ZB
VALIDITY_CHECK = ("validity_check", _("Confirm check on data"))

## Group ETS
RECORD_DATA = ("record_data", _("Record data"))  # refers to 'verzeichnen'
ADD_EMA = ("add_ema", _("Add new EMA"))
EDIT_EMA = ("edit_ema", _("Edit EMA"))
DELETE_EMA = ("delete_ema", _("Delete EMA"))
